	.file	"main.c"
	.text
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC0:
	.string	" ---[ Window ]--------------------------------- "
	.align 8
.LC1:
	.string	" ---[ Texture ]-------------------------------- "
	.align 8
.LC2:
	.string	" ---[ Library ]-------------------------------- "
	.align 8
.LC3:
	.string	" ---[ Network ]-------------------------------- "
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC4:
	.string	" NETWORK PORT: %d \n"
	.text
	.globl	Loader
	.type	Loader, @function
Loader:
.LFB23:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
1:	call	mcount
	movb	$0, -31(%rbp)
	movb	$0, -30(%rbp)
	movb	$24, -29(%rbp)
	movb	$4, -28(%rbp)
	movl	$.LC0, %edi
	call	puts
	movsbl	wide(%rip), %ecx
	movl	$16, %edx
	movl	$640, %esi
	movl	$1280, %edi
	call	createWin
	movsbl	wide(%rip), %ecx
	movl	$16, %edx
	movl	$640, %esi
	movl	$1280, %edi
	call	createRender
	movl	$0, %eax
	call	InitTimeCounter
	movl	$.LC1, %edi
	call	puts
	movl	$0, %eax
	call	textureLoader
	movl	$0, %eax
	call	loadTexture
	movl	$.LC2, %edi
	call	puts
	movl	$0, %eax
	call	glewStatus
	movl	$.LC3, %edi
	call	puts
	movl	$5799, %esi
	movl	$.LC4, %edi
	movl	$0, %eax
	call	printf
	movl	$0, %eax
	call	init_Cord
	movsbl	-30(%rbp), %esi
	movsbl	-31(%rbp), %edi
	call	make_Cord
	movl	$0, %eax
	call	print_info
	leaq	-32(%rbp), %rdi
	call	print_path
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE23:
	.size	Loader, .-Loader
	.globl	Flysimu
	.type	Flysimu, @function
Flysimu:
.LFB24:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$0, %eax
	call	initMain
	movl	$640, %esi
	movl	$1280, %edi
	call	Landscape
	movss	.LC5(%rip), %xmm0
	call	pointGrid
	movss	.LC5(%rip), %xmm0
	call	motorGrid
	movl	$0, %eax
	call	Motor
	movl	$0, %eax
	call	Cockpit
	movl	$0, %eax
	call	Terminal
	movl	$640, %esi
	movl	$1280, %edi
	call	perspective
	movl	$0, %eax
	call	loadFont
	call	eventloop
	movl	$0, %eax
	call	CalculateFPS
	movss	.LC5(%rip), %xmm0
	call	UpdateTimeCounter
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE24:
	.size	Flysimu, .-Flysimu
	.section	.rodata.str1.8
	.align 8
.LC6:
	.string	" ---[ Server ]--------------------------------- "
	.section	.rodata.str1.1
.LC7:
	.string	" TCP-SERVER: SOCKET"
.LC8:
	.string	" TCP-SERVER: BIND"
.LC9:
	.string	" TCP-SERVER: LISTEN"
.LC10:
	.string	" TCP-SERVER: ACCEPT"
	.text
	.globl	Server
	.type	Server, @function
Server:
.LFB25:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$.LC6, %edi
	call	puts
	movl	$0, %edx
	movl	$1, %esi
	movl	$2, %edi
	call	socket
	movl	%eax, server1(%rip)
	movl	$.LC7, %edi
	call	puts
	movl	$5799, %edx
	movl	$0, %esi
	movl	$server1, %edi
	call	net_bind
	movl	$.LC8, %edi
	call	puts
	movl	$server1, %edi
	call	net_listen
	movl	$.LC9, %edi
	call	puts
	movl	$server2, %esi
	movl	$server1, %edi
	call	net_accept
	movl	$.LC10, %edi
	call	puts
.L5:
	movzbl	fgrid(%rip), %eax
.L4:
	testb	%al, %al
	je	.L4
	movl	$0, %eax
	call	Flysimu
	jmp	.L5
	.cfi_endproc
.LFE25:
	.size	Server, .-Server
	.section	.rodata.str1.8
	.align 8
.LC11:
	.string	" ---[ Client ]--------------------------------- "
	.section	.rodata.str1.1
.LC12:
	.string	" SERVER IP: "
.LC13:
	.string	" TCP-CLIENT: SOCKET"
.LC14:
	.string	" TCP-CLIENT: CONNECT"
	.text
	.globl	Client
	.type	Client, @function
Client:
.LFB26:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	subq	$32, %rsp
1:	call	mcount
	movl	$.LC11, %edi
	call	puts
	movl	$.LC12, %edi
	movl	$0, %eax
	call	printf
	movq	stdin(%rip), %rdx
	movl	$25, %esi
	leaq	-32(%rbp), %rdi
	call	fgets
	movl	$0, %edx
	movl	$1, %esi
	movl	$2, %edi
	call	socket
	movl	%eax, client1(%rip)
	movl	$.LC13, %edi
	call	puts
	movl	$5799, %edx
	leaq	-32(%rbp), %rsi
	movl	$client1, %edi
	call	net_connect
	movl	$.LC14, %edi
	call	puts
.L9:
	movzbl	fgrid(%rip), %eax
.L8:
	testb	%al, %al
	je	.L8
	movl	$0, %eax
	call	Flysimu
	jmp	.L9
	.cfi_endproc
.LFE26:
	.size	Client, .-Client
	.globl	main
	.type	main, @function
main:
.LFB27:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 15, -24
	.cfi_offset 14, -32
	.cfi_offset 13, -40
	.cfi_offset 12, -48
	.cfi_offset 3, -56
1:	call	mcount
	movl	%edi, %r14d
	testl	%edi, %edi
	jle	.L12
	movq	%rsi, %r13
	movslq	%edi, %rdx
	leaq	(%rsi,%rdx,8), %r15
	jmp	.L13
.L21:
	movb	$1, wide(%rip)
.L14:
	addq	$1, %rbx
	movq	(%r12), %rax
	movzbl	(%rax,%rbx), %eax
	movsbl	%al, %edx
	cmpl	%ebx, %edx
	jle	.L25
.L24:
	subl	$67, %eax
	cmpb	$51, %al
	ja	.L14
	movzbl	%al, %eax
	jmp	*.L16(,%rax,8)
	.section	.rodata
	.align 8
	.align 4
.L16:
	.quad	.L22
	.quad	.L14
	.quad	.L14
	.quad	.L21
	.quad	.L20
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L19
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L18
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L17
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L14
	.quad	.L15
	.text
.L18:
	movb	$1, fwindow(%rip)
	movl	$0, %eax
	call	Loader
	jmp	.L14
.L19:
	movb	$1, fserver(%rip)
	movl	$0, %eax
	call	Server
.L22:
	movb	$1, fclient(%rip)
	movl	$0, %eax
	call	Client
.L20:
	movb	$1, fgrid(%rip)
.L23:
	movl	$0, %eax
	call	Flysimu
	cmpb	$0, fgrid(%rip)
	jne	.L23
	jmp	.L14
.L15:
	movb	$1, fversion(%rip)
	movl	$0, %eax
	call	version
	jmp	.L14
.L17:
	movb	$1, fhelp(%rip)
	movl	%r14d, %edi
	call	help_Desk
	jmp	.L14
.L25:
	addq	$8, %r13
	cmpq	%r13, %r15
	je	.L12
.L13:
	movq	%r13, %r12
	movq	0(%r13), %rax
	movzbl	(%rax), %eax
	movl	$0, %ebx
	testb	%al, %al
	jg	.L24
	jmp	.L25
.L12:
	movl	$0, %eax
	addq	$8, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE27:
	.size	main, .-main
	.globl	wide
	.bss
	.type	wide, @object
	.size	wide, 1
wide:
	.zero	1
	.globl	fhelp
	.type	fhelp, @object
	.size	fhelp, 1
fhelp:
	.zero	1
	.globl	fversion
	.type	fversion, @object
	.size	fversion, 1
fversion:
	.zero	1
	.globl	fclient
	.type	fclient, @object
	.size	fclient, 1
fclient:
	.zero	1
	.globl	fserver
	.type	fserver, @object
	.size	fserver, 1
fserver:
	.zero	1
	.globl	fgrid
	.type	fgrid, @object
	.size	fgrid, 1
fgrid:
	.zero	1
	.globl	fwindow
	.type	fwindow, @object
	.size	fwindow, 1
fwindow:
	.zero	1
	.globl	client1
	.align 4
	.type	client1, @object
	.size	client1, 4
client1:
	.zero	4
	.globl	server2
	.align 4
	.type	server2, @object
	.size	server2, 4
server2:
	.zero	4
	.globl	server1
	.align 4
	.type	server1, @object
	.size	server1, 4
server1:
	.zero	4
	.globl	BPP
	.section	.rodata
	.align 4
	.type	BPP, @object
	.size	BPP, 4
BPP:
	.long	16
	.globl	height
	.align 4
	.type	height, @object
	.size	height, 4
height:
	.long	640
	.globl	width
	.align 4
	.type	width, @object
	.size	width, 4
width:
	.long	1280
	.section	.rodata.cst4,"aM",@progbits,4
	.align 4
.LC5:
	.long	925353388
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
